info.bioinfweb.jphyloio.events

## Class UnknownCommandEvent

- java.lang.Object
- - info.bioinfweb.jphyloio.events.ConcreteJPhyloIOEvent
  - - info.bioinfweb.jphyloio.events.UnknownCommandEvent

- All Implemented Interfaces:
    JPhyloIOEvent

      public class UnknownCommandEvent
      extends ConcreteJPhyloIOEvent

  Event to be fired, if an unknown command was found (e.g. a Nexus command without an according `NexusCommandEventReader` implementation). Events of this type are only fired, if the parameter `ReadWriteParameterNames.KEY_CREATE_UNKNOWN_COMMAND_EVENTS` is set to `true`. (Refer to the individual reader documentations for details.)
  Author:
    Ben Stöver
  See Also:
    `ReadWriteParameterNames.KEY_CREATE_UNKNOWN_COMMAND_EVENTS`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnknownCommandEvent(java.lang.String key, java.lang.String value)` Creates a new instance of this class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKey()` Returns the name or key of the unknown command, if provided in the document.
    `java.lang.String` | `getValue()` Returns the value of the unknown command.

    - ### Methods inherited from class info.bioinfweb.jphyloio.events.ConcreteJPhyloIOEvent

      `asCharacterDefinitionEvent, asCharacterSetIntervalEvent, asCommentEvent, asEdgeEvent, asLabeledIDEvent, asLinkedLabeledIDEvent, asLiteralMetadataContentEvent, asLiteralMetadataEvent, asNodeEvent, asPartEndEvent, asResourceMetadataEvent, asSequenceTokensEvent, asSetElementEvent, asSingleSequenceTokenEvent, asSingleTokenDefinitionEvent, asTokenSetDefinitionEvent, asUnknownCommandEvent, createEndEvent, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnknownCommandEvent

          public UnknownCommandEvent(java.lang.String key,
                                     java.lang.String value)

      Creates a new instance of this class.
      Parameters:
        `key` - the name or key of the unknown command
        `value` - the value of the unknown command

  - ### Method Detail

    - #### getKey

          public java.lang.String getKey()

      Returns the name or key of the unknown command, if provided in the document.
      Returns:
        the name or `null` if no key or name is provided in the document

    - #### getValue

          public java.lang.String getValue()

      Returns the value of the unknown command.
      Returns:
        the string representation of the unknown command (Will never be `null`.)